import React, { Component } from 'react';

import './css/StopTitle.css';

class StopTitle extends Component {
    render() {
        return (
            <div id="stopTitle">
                <h1>{this.props.stop.name !== undefined ?
                        this.props.stop.name
                        : "Hållplats saknas"
                    }</h1>
                <div>
                    {this.props.stop.locations !== undefined ?
                        <>
                            <h3>
                                <span>{this.props.stop.locations[0]}</span>
                            </h3>
                            <button>Byt Läge</button>
                        </>
                        :
                        <h3>Vänligen aktivera platsåtkomst</h3>
                    }
                </div>
            </div>
        );
    }
}

export default StopTitle;